%define module Gtk2-GLExt
%define fmodule GLExt
%define release %mkrel 1


Summary: Perl module for the GtkGLExt library
Name:    perl-%module
Version: 0.90
Release: %release
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  http://heanet.dl.sourceforge.net/sourceforge/gtk2-perl/%module-%version.tar.bz2
URL: http://gtk2-perl.sf.net/
BuildRequires: gtkglext-devel >= 1, perl-devel perl-ExtUtils-Depends perl-Gtk2
Requires: perl-Gtk2 
Conflicts: drakxtools < 9.1-15mdk
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This package adds perl support for GtkGLExt, an OpenGL extension to
GTK 2.0 or later.


%prep
%setup -q -n %module-%version
find -type d -name CVS | rm -rf 

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
export GTK2_PERL_CFLAGS="$RPM_OPT_FLAGS"
perl Makefile.PL INSTALLDIRS=vendor
make OPTIMIZE="$RPM_OPT_FLAGS"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc examples
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Fri May 27 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.90-1mdk
- 0.90
- Make rpmbuildable

* Tue Dec 07 2004 Michael Scherer <misc@mandrake.org> 0.02-4mdk
- Rebuild for new perl

* Fri Aug 13 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-3mdk
- rebuild for perl-5.8.5

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-2mdk
- package examples

* Sun Mar 14 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.02-1mdk
- initial release
